Create
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Transaction request data
accountIdstring · min: 1Required
Target account id
transactionone ofRequired
or
or
or
Responses
200
Successful response
application/json
Transaction request
typeconst: CREATE_TRANSACTIONRequired
idstringRequired
Request unique identifier
legacyIdnumberRequired
Legacy internal unique identifier (for retro-compatibility)
statestring · enumRequiredPossible values:
Request state
currentStepIndexinteger · max: 9007199254740991Required
Index of the current approval step
expiresAtstringRequired
Request expiration date
expiredAtstringOptional
Deprecated: use expiresAt
targetIdany ofRequired
Optional ID of the target object
stringOptional
nullOptional
noteany ofRequired
Optional request note
or
nullOptional
createdAtstringRequired
Creation timestamp
updatedAtstringRequired
Last modification timestamp
createdByIdstringRequired
ID of the user who created the request
400
Invalid input data
application/json
401
Authorization not provided
application/json
403
Insufficient access
application/json
500
Internal server error
application/json
post
/requests/transaction/suiLast updated